Log4j 1.2.8

## org.apache.log4j.spi
Interface AppenderAttachable

All Known Implementing Classes:
  AppenderAttachableImpl, AsyncAppender, Category

public interface AppenderAttachable

Interface for attaching appenders to objects.

Since:
  0.9.1
Author:
  Ceki Gülcü

Method Summary
`void` `addAppender(Appender newAppender)` Add an appender.
`Enumeration` `getAllAppenders()` Get all previously added appenders as an Enumeration.
`Appender` `getAppender(String name)` Get an appender by name.
`boolean` `isAttached(Appender appender)` Returns `true` if the specified appender is in list of attached attached, `false` otherwise.
`void` `removeAllAppenders()` Remove all previously added appenders.
`void` `removeAppender(Appender appender)` Remove the appender passed as parameter from the list of appenders.
`void` `removeAppender(String name)` Remove the appender with the name passed as parameter from the list of appenders.

Method Detail

### addAppender

    public void addAppender(Appender newAppender)

  Add an appender.

### getAllAppenders

    public Enumeration getAllAppenders()

  Get all previously added appenders as an Enumeration.

### getAppender

    public Appender getAppender(String name)

  Get an appender by name.

### isAttached

    public boolean isAttached(Appender appender)

  Returns `true` if the specified appender is in list of attached attached, `false` otherwise.
  Since:
    1.2

### removeAllAppenders

    public void removeAllAppenders()

  Remove all previously added appenders.

### removeAppender

    public void removeAppender(Appender appender)

  Remove the appender passed as parameter from the list of appenders.

### removeAppender

    public void removeAppender(String name)

  Remove the appender with the name passed as parameter from the list of appenders.

Log4j 1.2.8

Copyright 2000-2002 Apache Software Foundation.